#
# sblim-cmpi-smbios-1.2.4.spec
#
# Package spec for CMPI Base
#

BuildRoot: /var/tmp/buildroot

Summary: SBLIM SMBIOS Instrumentation
Name: sblim-cmpi-smbios
Version: 0.3.2
Release: 0
Group: Systems Management/Base
Copyright: Common Public Licence http://oss.software.ibm.com/developerworks/opensource/license-cpl.html
Packager: Viktor Mihajlovski <mihajlov@de.ibm.com>

BuildRequires: cmpi-devel

Source0: http://www-126-ibm.com/pub/sblim/sblim-cmpi-smbios/%{name}-%{version}.tar.gz

%Description
Standards Based Linux Instrumentation System Management BIOS Providers

%prep

%setup -n %{name}-%{version}

export PATCH_GET=0

#%patch0 -p0

%build

make PEGASUS= STANDALONE=1

%clean

if [ `id -ur` != 0 ]
then
# paranoia check 
	rm -rf $RPM_BUILD_ROOT 
fi

%install

mkdir -p $RPM_BUILD_ROOT/usr/lib/cmpi
mkdir -p $RPM_BUILD_ROOT/usr/include/cmpi
mkdir -p $RPM_BUILD_ROOT/usr/share/cmpi/mof

make install INSTALL_ROOT=$RPM_BUILD_ROOT PEGASUS= STANDALONE=1

# SUSE specific
install -d $RPM_BUILD_ROOT/sbin/conf.d
install -m755 contrib/SuSEconfig.%{name} $RPM_BUILD_ROOT/sbin/conf.d

%files

%defattr(-,root,root) 
/usr/lib
/usr/share/cmpi

# SUSE specific
/sbin/conf.d

# SUSE specific too
%post
echo "#run me once" > /var/adm/SuSEconfig/run-%{name} || true
